.header {
    top: 0;
    left: 0;
    right: 0;
    padding: rem(20) 0;
    z-index: 900;
    position: absolute;
    background: transparent;

    &__main {
        position: relative;
        padding-right: rem(46);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__burger {
        right: 0;
        top: 50%;
        margin-top: rem(-18);
        fill: white;
        border: none;
        outline: none;
        font-size: 0;
        line-height: 0;
        flex-shrink: 0;
        width: rem(36);
        height: rem(36);
        cursor: pointer;
        position: absolute;
        background: transparent;
        display: flex;
        align-items: center;
        justify-content: center;

        i {
            flex-shrink: 0;
            height: rem(24);
            display: inline-block;
        }
    }

    @include media-breakpoint-up(md) {

        &__main {
            padding-right: 0;
        }

        &__burger {
            display: none;
        }

    }

    @include media-breakpoint-up(lg) {

    }

    @include media-breakpoint-up(xl) {
        padding: rem(38) 0;
    }

    @include media-breakpoint-up(xxl) {}
}

.header-logo {
    font-size: 0;
    line-height: 0;
    display: block;
    width: rem(136);
    position: relative;

    &__image {
        display: block;
    }

    &__target {
        left: rem(-11);
        top: rem(-23);
        display: block;
        width: rem(72);
        position: absolute;
    }

    @include media-breakpoint-up(xl) {
        width: rem(215);

        &__target {
            left: rem(-18);
            top: rem(-36);
            width: rem(116);
        }
    }
}

.header-nav {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 950;
    position: fixed;
    background: linear-gradient(114deg, rgba(11,11,15,1) 0%, rgba(53,0,66,1) 100%);
    overflow-y: auto;
    opacity: 0;
    visibility: hidden;

    &:before {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1;
        content: '';
        position: absolute;
        background: url("../img/menu_pattern.svg") 50% 0 repeat;
        background-size: 100% auto;
    }

    &__wrap {
        z-index: 10;
        padding: 0 rem(20);
        position: relative;
    }

    &__menu {
        padding-top: rem(90);
    }

    &__link {
        width: 100%;
        color: white;
        stroke: white;
        display: flex;
        height: rem(48);
        padding: rem(8) rem(13);
        white-space: nowrap;
        font-weight: 500;
        font-size: rem(18);
        line-height: rem(18);
        text-decoration: none;
        align-items: center;
        justify-content: center;

        span {
            display: inline-block;
        }

        i {
            font-size: 0;
            line-height: 0;
            height: rem(22);
            margin-left: rem(16);
            display: none;
            flex-shrink: 0;
        }

        &.active {
            background: rgba(129, 14, 184, 0.20);

            i {
                display: inline-block;
            }
        }
    }

    &__button {
        margin-top: rem(48);
    }

    &__social {
        display: flex;
        column-gap: rem(8);
        align-items: center;
        justify-content: center;
        margin-top: rem(28);
    }

    &__close {
        top: rem(24);
        right: rem(24);
        padding: 0;
        z-index: 50;
        border: none;
        outline: none;
        width: rem(18);
        height: rem(18);
        display: block;
        cursor: pointer;
        position: absolute;
        background: transparent;
    }

    @include media-breakpoint-up(md) {
        top: auto;
        left: auto;
        right: auto;
        bottom: auto;
        position: relative;
        background: transparent;
        opacity: 1;
        visibility: visible;

        &:before {
            display: none;
        }

        &__wrap {
            padding: 0;
        }

        &__menu {
            padding: 0;
            display: flex;
            align-items: center;
            justify-content: center;
        }

        &__link {
            height: rem(36);
            font-size: rem(14);
            line-height: rem(28);
            transition: .25s;

            &:hover {
                color: #C43BFF;
                transition: .25s;
            }

            &.active {
                color: #C43BFF;
                background: transparent;

                i {
                    display: none;
                }
            }
        }

        &__close {
            display: none;
        }

        &__social {
            display: none;
        }

        &__button {
            display: none;
        }
    }

    @include media-breakpoint-up(xl) {

        &__link {
            font-weight: 500;
            font-size: rem(18);
            line-height: rem(18);
            padding: rem(8) rem(20);
        }
    }
}

.social-link {
    font-size: 0;
    line-height: 0;
    width: rem(40);
    height: rem(40);
    display: block;
    border-radius: 50%;
    flex-shrink: 0;
}

.nav-open {
    overflow: hidden;

    .header-nav {
        opacity: 1;
        visibility: visible;
    }
}
